Open CASCADE Technology: XSControl_FuncShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
XSControl_FuncShape Class Reference

Defines additionnal commands for XSControl to : More...

`#include <XSControl_FuncShape.hxx>`

## Static Public Member Functions
static void | Init ()
| Defines and loads all functions which work on shapes for XSControl (as ActFunc) More...
static Standard_Integer | MoreShapes (const Handle< XSControl_WorkSession > &session, Handle< TopTools_HSequenceOfShape > &list, const Standard_CString name)
| Analyses a name as designating Shapes from a Vars or from XSTEP transfer (last Transfer on Reading). <name> can be : "*" : all the root shapes produced by last Transfer (Read) i.e. considers roots of the TransientProcess a name : a name of a variable DRAW. More...
static Standard_Boolean | FileAndVar (const Handle< XSControl_WorkSession > &session, const Standard_CString file, const Standard_CString var, const Standard_CString def, TCollection_AsciiString &resfile, TCollection_AsciiString &resvar)
| Analyses given file name and variable name, with a default name for variables. Returns resulting file name and variable name plus status "file to read"(True) or "already read"(False) In the latter case, empty resfile means no file available. More...

## Detailed Description

Defines additionnal commands for XSControl to :

- control of initialisation (xinit, xnorm, newmodel)
- analyse of the result of a transfer (recorded in a TransientProcess for Read, FinderProcess for Write) : statistics, various lists (roots,complete,abnormal), what about one specific entity, producing a model with the abnormal result

This appendix of XSControl is compiled separately to distinguish basic features from user callable forms

## Member Function Documentation

static Standard_Boolean XSControl_FuncShape::FileAndVar | ( | const Handle< XSControl_WorkSession > & | session,
|  | const Standard_CString | file,
|  | const Standard_CString | var,
|  | const Standard_CString | def,
|  | TCollection_AsciiString & | resfile,
|  | TCollection_AsciiString & | resvar
| ) |  |
| static

Analyses given file name and variable name, with a default name for variables. Returns resulting file name and variable name plus status "file to read"(True) or "already read"(False) In the latter case, empty resfile means no file available.

If <file> is null or empty or equates ".", considers Session and returned status is False Else, returns resfile = file and status is True If is neither null nor empty, resvar = var Else, the root part of <resfile> is considered, if defined Else, <def> is taken

static void XSControl_FuncShape::Init | ( |  | ) |
| static

Defines and loads all functions which work on shapes for XSControl (as ActFunc)

static Standard_Integer XSControl_FuncShape::MoreShapes | ( | const Handle< XSControl_WorkSession > & | session,
|  | Handle< TopTools_HSequenceOfShape > & | list,
|  | const Standard_CString | name
| ) |  |
| static

Analyses a name as designating Shapes from a Vars or from XSTEP transfer (last Transfer on Reading). <name> can be : "*" : all the root shapes produced by last Transfer (Read) i.e. considers roots of the TransientProcess a name : a name of a variable DRAW.

Returns the count of designated Shapes. Their list is put in

If

null, it is firstly created. Then it is completed (Append without Clear) by the Shapes found Returns 0 if no Shape could be found

The documentation for this class was generated from the following file:

- XSControl_FuncShape.hxx